#ifndef AFRAMELIB_H
#define AFRAMELIB_H

#ifdef __cplusplus
extern "C" {
#endif

#include "CVStag.aframe"

#include "aframe.h"
#include "iol.h"

struct aframe_struct_def {
  IOL_MNAME   module[IOL_MLEN];       /* The module name must be first        */
  IOL_SIZE    size            ;       /* The number of verbs must be second   */ 
  IOL_STRING  version         ;       /* version of this package              */
  IOL_FLAG    debug_mode      ;       /* debug mode                           */
  IOL_STRING  path            ;       /* path for preferences file            */
  IOL_STRING  filename        ;       /* preference file name                 */
  IOL_FLAG    screen_log      ;       /* Flag to tell if log messages go to screen */
  IOL_HEX     online_control  ;       /* control flag for use with zmo      */
};
typedef struct aframe_struct_def AFRAME_STRUCT;

#define AFRAME_REST_SIZE 0
#define AFRAME_NVERBS    IOL_NVERBS(AFRAME_STRUCT,AFRAME_REST_SIZE)


#define AFRAME_NAME "aframe"

#define AFRAME_OPTCHAR '+'


#define AFRAME_VERSION xcvsVERSION_aframe


#define AFRAME_INTERACTIVE         1
#define AFRAME_CLI                 2

/* Possible online control flags
 * -----------------------------
 */
#define AFRAME_FLG_NCTL    0x1
#define AFRAME_FLG_NORPM   0x2

/* Subroutine templates 
   -------------------- */
int  aframe_param_init();
int  aframe_process_args( int argc, const char **argv, int mode );
int  aframe_newpref( const char *filename, int cptr );
int  aframe_build_filename( char *filename );
int  aframe_load_pref();
int  aframe_output_error_mess(char *mess,char *routine, int errlev);
void aframe_mess( char *routine, int errlev, char *mess, ... );

int aframe_store_program_name(const char *pname);


#ifdef __cplusplus
}
#endif

#endif
