#!/bin/bash
#
# written by Thorsten Glebe, November 1997
# Max-Planck-Institut of Nuclear Physics
# Heidelberg / Germany
#
# changed for ITR TZ 04/08/99
#
# prints the ITR location of the host
#
uname -n | cut -d. -f1 | ${AWK} '/^hb-vme/       {print "hb-vme"; exit}
			      /^hb-con/       {print "hb-con"; exit}
			      /^hb-sun/       {print "hb-sun"; exit}
			      /^eli/          {print "eli"; exit}
			      /gustav/ || /daniel/ {print "alphaHD"; exit}
                              /afmp/ || /hbaxp/    {print "alphaMU"; exit}
                              /pchb/ || /extbasil/ {print "linuxMU"; exit}
                              /andalf/ || /obbit/{print "linuxMU"; exit}
			      /^hera-b/       {print $1; exit}
			      /^hbdo/         {print "AIX_farm"; exit}
			      /^hbws/         {print "AIX_farm"; exit}
			      /^elbe/ || /^titanic/ || /^hb-cr/ || /^hb-af/ || /^hb-lnx/ || /^rainer/ {print "Linux_farm"; exit}
			      /^hb-hd/ || /^hbitr/ || /^hb-itr/  {print "Linux_farm"; exit}
			      /^hbslt/        {print "hb-slt"; exit}
			      /^ppc/          {print "cetia"; exit}
			      /^hp8hb1/       {print "hpux"; exit}
			      /^puls02/       {print "puls02"; exit}
			      /itrpc/ || /^hb-siegen/ {print "Linux_farm"; exit}
			      /^.*$/          {print "unknown"}'

